Bug 21736 - Localization widget messages are not translatable
Summary: Localization widget messages are not translatable
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: paxed
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 21823
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-31 12:06 UTC by paxed
Modified: 2018-12-18 10:37 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21736: Allow translating the localization widget messages (3.99 KB, patch)
2018-10-31 12:13 UTC, paxed
Details | Diff | Splinter Review
Bug 21736: Allow translating the localization widget messages (4.08 KB, patch)
2018-11-16 13:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21736: Allow translating the localization widget messages (4.12 KB, patch)
2018-11-29 11:23 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2018-10-31 12:06:34 UTC
The widget used to translate the item type names to other languages has few javascript messages that cannot be translated.
Comment 1 paxed 2018-10-31 12:13:27 UTC
Created attachment 81709 [details] [review]
Bug 21736: Allow translating the localization widget messages

The widget used to translate the item type names to other
languages has few javascript messages that cannot be translated.
Add the mechanism to enable their translation.

Test plan:

1) Install and update a language
2) Check the po-files, there's no msgid for
   "A translation already exists for this language."
3) Apply the patch
4) Install and update a language
5) There should be a msgid for the one in 2, and
   couple other messages from localization.tt
6) Translate those messages, update the translated templates
7) Go to Administration -> Item types -> Modify item type ->
   Translate into other languages
   Add a new translation, check that the message given by the widget
   was in correct language.
Comment 2 Owen Leonard 2018-11-16 13:32:04 UTC
Created attachment 82401 [details] [review]
Bug 21736: Allow translating the localization widget messages

The widget used to translate the item type names to other
languages has few javascript messages that cannot be translated.
Add the mechanism to enable their translation.

Test plan:

1) Install and update a language
2) Check the po-files, there's no msgid for
   "A translation already exists for this language."
3) Apply the patch
4) Install and update a language
5) There should be a msgid for the one in 2, and
   couple other messages from localization.tt
6) Translate those messages, update the translated templates
7) Go to Administration -> Item types -> Modify item type ->
   Translate into other languages
   Add a new translation, check that the message given by the widget
   was in correct language.

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

https://bugs.koha-community.org/show_bug.cgi?id=21823
Comment 3 Marcel de Rooy 2018-11-29 11:23:46 UTC
Created attachment 82728 [details] [review]
Bug 21736: Allow translating the localization widget messages

The widget used to translate the item type names to other
languages has few javascript messages that cannot be translated.
Add the mechanism to enable their translation.

Test plan:

1) Install and update a language
2) Check the po-files, there's no msgid for
   "A translation already exists for this language."
3) Apply the patch
4) Install and update a language
5) There should be a msgid for the one in 2, and
   couple other messages from localization.tt
6) Translate those messages, update the translated templates
7) Go to Administration -> Item types -> Modify item type ->
   Translate into other languages
   Add a new translation, check that the message given by the widget
   was in correct language.

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Nick Clemens 2018-11-29 19:17:40 UTC
Awesome work everyone!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2018-12-10 09:50:03 UTC
Pushed to 18.11.x for 18.11.01